package com.test.odbenumbugconsole;

import com.test.odbenumbugconsole.entity.Bug;
import java.util.HashMap;
import java.util.Map;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class App {

    public static void main(String[] args) throws InterruptedException {
	Map prop = new HashMap();
	prop.put("javax.persistence.jdbc.user", "admin");
	prop.put("javax.persistence.jdbc.password", "admin");
	EntityManagerFactory emf = Persistence
		.createEntityManagerFactory("objectdb://localhost/odbEnumBug/p1.odb", prop);
	EntityManager em = emf.createEntityManager();

	for (int i = 0; i < 10; i++) {
	    int no = em.createNamedQuery("Bug.findByType", Bug.class)
		    .setParameter(1, Bug.Type.GOOD)
		    .getResultList()
		    .size();
	    System.out.println(no);
	    Thread.sleep(1000 * 15);
	}

	em.close();
	emf.close();
    }
}
